Download OpenAPI specification:Download
IONOS Enterprise-grade Infrastructure as a Service (IaaS) solutions can be managed through the Cloud API, in addition or as an alternative to the "Data Center Designer" (DCD) browser-based tool.
Both methods employ consistent concepts and features, deliver similar power and flexibility, and can be used to perform a multitude of management tasks, including adding servers, volumes, configuring networks, and so on.
Retrieves the API information such as API version.
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
{- "name": "CLOUD API",
- "version": "6.0"
}List the data centers for your account. Default limit is the first 100 items; use pagination query parameters for listing more items.
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| offset | integer <int32> >= 0 Default: 0 The first element (from the complete list of the elements) to include in the response (used together with limit for pagination). |
| limit | integer <int32> [ 1 .. 10000 ] Default: 1000 The maximum number of elements to return (use together with offset for pagination). |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
{- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "datacenter",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "Production datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "version": 8,
- "features": [
- "SSD"
], - "secAuthProtection": true,
- "cpuArchitecture": [
- {
- "cpuFamily": "INTEL_ICELAKE",
- "maxCores": 62,
- "maxRam": 245760,
- "vendor": "AuthenticAMD"
}
], - "gpuArchitecture": [
- {
- "vendor": "NVIDIA",
- "model": "A100"
}
], - "ipv6CidrBlock": "2001:db8:b06d:8f00::/56",
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
}, - "entities": {
- "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "name": "My resource",
- "hostname": "myHostname",
- "cores": 4,
- "ram": 4096,
- "availabilityZone": "AUTO",
- "vmState": "RUNNING",
- "bootCdrom": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "bootVolume": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "cpuFamily": "INTEL_ICELAKE",
- "type": "CUBE",
- "nicMultiQueue": true,
- "maxNetworkBandwidth": 6
}, - "entities": {
- "cdroms": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "gpus": {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "type": "HDD",
- "size": 100,
- "availabilityZone": "AUTO",
- "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
- "imagePassword": "mypass123",
- "sshKeys": [
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
], - "bus": "VIRTIO",
- "licenceType": "LINUX",
- "applicationType": "MSSQL-2019-Standard",
- "cpuHotPlug": true,
- "ramHotPlug": true,
- "nicHotPlug": true,
- "nicHotUnplug": true,
- "discVirtioHotPlug": true,
- "discVirtioHotUnplug": true,
- "exposeSerial": true,
- "requireLegacyBios": true,
- "deviceNumber": 3,
- "pciSlot": 7,
- "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "userData": "string",
- "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "bootOrder": "AUTO"
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "loadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "loadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ip": "22.231.113.64",
- "dhcp": true
}, - "entities": {
- "balancednics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "lans": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "5",
- "type": "lan",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ipFailover": [
- {
- "ip": null,
- "nicUuid": null
}
], - "ipv4CidrBlock": "10.8.130.0/23",
- "ipv6CidrBlock": "2001:db8:b06d:8f5a::/64",
- "pcc": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec",
- "public": true
}, - "entities": {
- "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "networkloadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "networkloadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My Network Load Balancer",
- "listenerLan": 1,
- "ips": [
- "81.173.1.2",
- "22.231.2.2",
- "22.231.2.3"
], - "targetLan": 2,
- "lbPrivateIps": [
- "81.173.1.5/24",
- "22.231.2.5/24"
], - "centralLogging": true,
- "loggingFormat": "%{+Q}o %{-Q}ci - - [%trg] %r %ST %B \"\" \"\" %cp %ms %ft %b %s %TR %Tw %Tc %Tr %Ta %tsc %ac %fc %bc %sc %rc %sq %bq %CC %CS %hrl %hsl"
}, - "entities": {
- "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "forwardingrules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "natgateways": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My NAT Gateway",
- "publicIps": [
- "81.173.1.2",
- "82.231.2.5",
- "92.221.2.4"
], - "lans": [
- {
- "id": null,
- "gatewayIps": [ ]
}
]
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
]
}, - "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My security group",
- "description": "My security group description"
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}, - "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- null
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": null,
- "self": null,
- "next": null
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}Creates new data centers, and data centers that already contain elements, such as servers and storage volumes.
Virtual data centers are the foundation of the platform; they act as logical containers for all other objects you create, such as servers and storage volumes. You can provision as many data centers as needed. Data centers have their own private networks and are logically segmented from each other to create isolation.
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
The data center to create.
required | object (DatacenterPropertiesPost) |
object (DatacenterEntities) |
{- "properties": {
- "name": "Production Datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "secAuthProtection": true,
- "createDefaultSecurityGroup": true
}, - "entities": {
- "servers": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "volumes": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "loadbalancers": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "lans": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "networkloadbalancers": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "natgateways": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "securitygroups": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}
}
}{- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "datacenter",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "Production datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "version": 8,
- "features": [
- "SSD"
], - "secAuthProtection": true,
- "cpuArchitecture": [
- {
- "cpuFamily": "INTEL_ICELAKE",
- "maxCores": 62,
- "maxRam": 245760,
- "vendor": "AuthenticAMD"
}
], - "gpuArchitecture": [
- {
- "vendor": "NVIDIA",
- "model": "A100"
}
], - "ipv6CidrBlock": "2001:db8:b06d:8f00::/56",
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
}, - "entities": {
- "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "name": "My resource",
- "hostname": "myHostname",
- "cores": 4,
- "ram": 4096,
- "availabilityZone": "AUTO",
- "vmState": "RUNNING",
- "bootCdrom": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "bootVolume": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "cpuFamily": "INTEL_ICELAKE",
- "type": "CUBE",
- "nicMultiQueue": true,
- "maxNetworkBandwidth": 6
}, - "entities": {
- "cdroms": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "image",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null,
- "location": null,
- "size": null,
- "cpuHotPlug": null,
- "cpuHotUnplug": null,
- "ramHotPlug": null,
- "ramHotUnplug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "discScsiHotPlug": null,
- "discScsiHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "licenceType": null,
- "applicationType": null,
- "imageType": null,
- "public": null,
- "imageAliases": [ ],
- "cloudInit": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "size": null,
- "availabilityZone": null,
- "image": null,
- "imagePassword": null,
- "sshKeys": [ ],
- "bus": null,
- "licenceType": null,
- "applicationType": null,
- "cpuHotPlug": null,
- "ramHotPlug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "deviceNumber": null,
- "pciSlot": null,
- "backupunitId": null,
- "userData": null,
- "bootServer": null,
- "bootOrder": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null
}, - "entities": {
- "rules": null,
- "nics": null,
- "servers": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "gpus": {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "gpu",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "vendor": null,
- "model": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "type": "HDD",
- "size": 100,
- "availabilityZone": "AUTO",
- "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
- "imagePassword": "mypass123",
- "sshKeys": [
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
], - "bus": "VIRTIO",
- "licenceType": "LINUX",
- "applicationType": "MSSQL-2019-Standard",
- "cpuHotPlug": true,
- "ramHotPlug": true,
- "nicHotPlug": true,
- "nicHotUnplug": true,
- "discVirtioHotPlug": true,
- "discVirtioHotUnplug": true,
- "exposeSerial": true,
- "requireLegacyBios": true,
- "deviceNumber": 3,
- "pciSlot": 7,
- "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "userData": "string",
- "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "bootOrder": "AUTO"
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "loadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "loadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ip": "22.231.113.64",
- "dhcp": true
}, - "entities": {
- "balancednics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "lans": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "5",
- "type": "lan",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ipFailover": [
- {
- "ip": "192.18.2.231",
- "nicUuid": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec"
}
], - "ipv4CidrBlock": "10.8.130.0/23",
- "ipv6CidrBlock": "2001:db8:b06d:8f5a::/64",
- "pcc": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec",
- "public": true
}, - "entities": {
- "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "networkloadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "networkloadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My Network Load Balancer",
- "listenerLan": 1,
- "ips": [
- "81.173.1.2",
- "22.231.2.2",
- "22.231.2.3"
], - "targetLan": 2,
- "lbPrivateIps": [
- "81.173.1.5/24",
- "22.231.2.5/24"
], - "centralLogging": true,
- "loggingFormat": "%{+Q}o %{-Q}ci - - [%trg] %r %ST %B \"\" \"\" %cp %ms %ft %b %s %TR %Tw %Tc %Tr %Ta %tsc %ac %fc %bc %sc %rc %sq %bq %CC %CS %hrl %hsl"
}, - "entities": {
- "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "flow-log",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "action": null,
- "direction": null,
- "bucket": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "forwardingrules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "forwarding-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "algorithm": null,
- "protocol": null,
- "listenerIp": null,
- "listenerPort": null,
- "healthCheck": null,
- "targets": [ ]
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "natgateways": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My NAT Gateway",
- "publicIps": [
- "81.173.1.2",
- "82.231.2.5",
- "92.221.2.4"
], - "lans": [
- {
- "id": 3,
- "gatewayIps": [
- "10.12.1.2/24",
- "10.11.2.5/24",
- "10.11.2.4"
]
}
]
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "protocol": null,
- "sourceSubnet": null,
- "publicIp": null,
- "targetSubnet": null,
- "targetPortRange": null
}
}
]
}, - "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "flow-log",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "action": null,
- "direction": null,
- "bucket": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My security group",
- "description": "My security group description"
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "firewall-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "protocol": null,
- "sourceMac": null,
- "ipVersion": null,
- "sourceIp": null,
- "targetIp": null,
- "icmpCode": null,
- "icmpType": null,
- "portRangeStart": null,
- "portRangeEnd": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "templateUuid": null,
- "name": null,
- "hostname": null,
- "cores": null,
- "ram": null,
- "availabilityZone": null,
- "vmState": null,
- "bootCdrom": null,
- "bootVolume": null,
- "cpuFamily": null,
- "type": null,
- "nicMultiQueue": null,
- "maxNetworkBandwidth": null
}, - "entities": {
- "cdroms": null,
- "volumes": null,
- "nics": null,
- "securitygroups": null,
- "gpus": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}Retrieve data centers by resource ID. This value is in the response body when the data center is created, and in the list of the data centers, returned by GET.
| datacenterId required | string The unique ID of the data center. |
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
{- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "datacenter",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "Production datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "version": 8,
- "features": [
- "SSD"
], - "secAuthProtection": true,
- "cpuArchitecture": [
- {
- "cpuFamily": "INTEL_ICELAKE",
- "maxCores": 62,
- "maxRam": 245760,
- "vendor": "AuthenticAMD"
}
], - "gpuArchitecture": [
- {
- "vendor": "NVIDIA",
- "model": "A100"
}
], - "ipv6CidrBlock": "2001:db8:b06d:8f00::/56",
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
}, - "entities": {
- "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "name": "My resource",
- "hostname": "myHostname",
- "cores": 4,
- "ram": 4096,
- "availabilityZone": "AUTO",
- "vmState": "RUNNING",
- "bootCdrom": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "bootVolume": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "cpuFamily": "INTEL_ICELAKE",
- "type": "CUBE",
- "nicMultiQueue": true,
- "maxNetworkBandwidth": 6
}, - "entities": {
- "cdroms": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "image",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null,
- "location": null,
- "size": null,
- "cpuHotPlug": null,
- "cpuHotUnplug": null,
- "ramHotPlug": null,
- "ramHotUnplug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "discScsiHotPlug": null,
- "discScsiHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "licenceType": null,
- "applicationType": null,
- "imageType": null,
- "public": null,
- "imageAliases": [ ],
- "cloudInit": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "size": null,
- "availabilityZone": null,
- "image": null,
- "imagePassword": null,
- "sshKeys": [ ],
- "bus": null,
- "licenceType": null,
- "applicationType": null,
- "cpuHotPlug": null,
- "ramHotPlug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "deviceNumber": null,
- "pciSlot": null,
- "backupunitId": null,
- "userData": null,
- "bootServer": null,
- "bootOrder": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null
}, - "entities": {
- "rules": null,
- "nics": null,
- "servers": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "gpus": {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "gpu",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "vendor": null,
- "model": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "type": "HDD",
- "size": 100,
- "availabilityZone": "AUTO",
- "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
- "imagePassword": "mypass123",
- "sshKeys": [
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
], - "bus": "VIRTIO",
- "licenceType": "LINUX",
- "applicationType": "MSSQL-2019-Standard",
- "cpuHotPlug": true,
- "ramHotPlug": true,
- "nicHotPlug": true,
- "nicHotUnplug": true,
- "discVirtioHotPlug": true,
- "discVirtioHotUnplug": true,
- "exposeSerial": true,
- "requireLegacyBios": true,
- "deviceNumber": 3,
- "pciSlot": 7,
- "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "userData": "string",
- "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "bootOrder": "AUTO"
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "loadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "loadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ip": "22.231.113.64",
- "dhcp": true
}, - "entities": {
- "balancednics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "lans": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "5",
- "type": "lan",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ipFailover": [
- {
- "ip": "192.18.2.231",
- "nicUuid": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec"
}
], - "ipv4CidrBlock": "10.8.130.0/23",
- "ipv6CidrBlock": "2001:db8:b06d:8f5a::/64",
- "pcc": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec",
- "public": true
}, - "entities": {
- "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "networkloadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "networkloadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My Network Load Balancer",
- "listenerLan": 1,
- "ips": [
- "81.173.1.2",
- "22.231.2.2",
- "22.231.2.3"
], - "targetLan": 2,
- "lbPrivateIps": [
- "81.173.1.5/24",
- "22.231.2.5/24"
], - "centralLogging": true,
- "loggingFormat": "%{+Q}o %{-Q}ci - - [%trg] %r %ST %B \"\" \"\" %cp %ms %ft %b %s %TR %Tw %Tc %Tr %Ta %tsc %ac %fc %bc %sc %rc %sq %bq %CC %CS %hrl %hsl"
}, - "entities": {
- "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "flow-log",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "action": null,
- "direction": null,
- "bucket": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "forwardingrules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "forwarding-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "algorithm": null,
- "protocol": null,
- "listenerIp": null,
- "listenerPort": null,
- "healthCheck": null,
- "targets": [ ]
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "natgateways": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My NAT Gateway",
- "publicIps": [
- "81.173.1.2",
- "82.231.2.5",
- "92.221.2.4"
], - "lans": [
- {
- "id": 3,
- "gatewayIps": [
- "10.12.1.2/24",
- "10.11.2.5/24",
- "10.11.2.4"
]
}
]
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "protocol": null,
- "sourceSubnet": null,
- "publicIp": null,
- "targetSubnet": null,
- "targetPortRange": null
}
}
]
}, - "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "flow-log",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "action": null,
- "direction": null,
- "bucket": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My security group",
- "description": "My security group description"
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "firewall-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "protocol": null,
- "sourceMac": null,
- "ipVersion": null,
- "sourceIp": null,
- "targetIp": null,
- "icmpCode": null,
- "icmpType": null,
- "portRangeStart": null,
- "portRangeEnd": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "templateUuid": null,
- "name": null,
- "hostname": null,
- "cores": null,
- "ram": null,
- "availabilityZone": null,
- "vmState": null,
- "bootCdrom": null,
- "bootVolume": null,
- "cpuFamily": null,
- "type": null,
- "nicMultiQueue": null,
- "maxNetworkBandwidth": null
}, - "entities": {
- "cdroms": null,
- "volumes": null,
- "nics": null,
- "securitygroups": null,
- "gpus": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}Modifies the properties of the specified data center, rename it, or change the description.
| datacenterId required | string The unique ID of the data center. |
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
The modified data center.
required | object (DatacenterPropertiesPut) |
object (DatacenterEntities) |
{- "properties": {
- "name": "Production Datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "secAuthProtection": true,
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "createDefaultSecurityGroup": true
}, - "entities": {
- "servers": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "volumes": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "loadbalancers": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "lans": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "networkloadbalancers": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "natgateways": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}, - "securitygroups": {
- "type": "collection",
- "offset": 0,
- "limit": 1000,
- "_links": { }
}
}
}{- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "datacenter",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "Production datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "version": 8,
- "features": [
- "SSD"
], - "secAuthProtection": true,
- "cpuArchitecture": [
- {
- "cpuFamily": "INTEL_ICELAKE",
- "maxCores": 62,
- "maxRam": 245760,
- "vendor": "AuthenticAMD"
}
], - "gpuArchitecture": [
- {
- "vendor": "NVIDIA",
- "model": "A100"
}
], - "ipv6CidrBlock": "2001:db8:b06d:8f00::/56",
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
}, - "entities": {
- "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "name": "My resource",
- "hostname": "myHostname",
- "cores": 4,
- "ram": 4096,
- "availabilityZone": "AUTO",
- "vmState": "RUNNING",
- "bootCdrom": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "bootVolume": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "cpuFamily": "INTEL_ICELAKE",
- "type": "CUBE",
- "nicMultiQueue": true,
- "maxNetworkBandwidth": 6
}, - "entities": {
- "cdroms": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "image",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null,
- "location": null,
- "size": null,
- "cpuHotPlug": null,
- "cpuHotUnplug": null,
- "ramHotPlug": null,
- "ramHotUnplug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "discScsiHotPlug": null,
- "discScsiHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "licenceType": null,
- "applicationType": null,
- "imageType": null,
- "public": null,
- "imageAliases": [ ],
- "cloudInit": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "size": null,
- "availabilityZone": null,
- "image": null,
- "imagePassword": null,
- "sshKeys": [ ],
- "bus": null,
- "licenceType": null,
- "applicationType": null,
- "cpuHotPlug": null,
- "ramHotPlug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "deviceNumber": null,
- "pciSlot": null,
- "backupunitId": null,
- "userData": null,
- "bootServer": null,
- "bootOrder": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null
}, - "entities": {
- "rules": null,
- "nics": null,
- "servers": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "gpus": {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "gpu",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "vendor": null,
- "model": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "type": "HDD",
- "size": 100,
- "availabilityZone": "AUTO",
- "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
- "imagePassword": "mypass123",
- "sshKeys": [
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
], - "bus": "VIRTIO",
- "licenceType": "LINUX",
- "applicationType": "MSSQL-2019-Standard",
- "cpuHotPlug": true,
- "ramHotPlug": true,
- "nicHotPlug": true,
- "nicHotUnplug": true,
- "discVirtioHotPlug": true,
- "discVirtioHotUnplug": true,
- "exposeSerial": true,
- "requireLegacyBios": true,
- "deviceNumber": 3,
- "pciSlot": 7,
- "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "userData": "string",
- "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "bootOrder": "AUTO"
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "loadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "loadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ip": "22.231.113.64",
- "dhcp": true
}, - "entities": {
- "balancednics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "lans": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "5",
- "type": "lan",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ipFailover": [
- {
- "ip": "192.18.2.231",
- "nicUuid": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec"
}
], - "ipv4CidrBlock": "10.8.130.0/23",
- "ipv6CidrBlock": "2001:db8:b06d:8f5a::/64",
- "pcc": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec",
- "public": true
}, - "entities": {
- "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "networkloadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "networkloadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My Network Load Balancer",
- "listenerLan": 1,
- "ips": [
- "81.173.1.2",
- "22.231.2.2",
- "22.231.2.3"
], - "targetLan": 2,
- "lbPrivateIps": [
- "81.173.1.5/24",
- "22.231.2.5/24"
], - "centralLogging": true,
- "loggingFormat": "%{+Q}o %{-Q}ci - - [%trg] %r %ST %B \"\" \"\" %cp %ms %ft %b %s %TR %Tw %Tc %Tr %Ta %tsc %ac %fc %bc %sc %rc %sq %bq %CC %CS %hrl %hsl"
}, - "entities": {
- "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "flow-log",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "action": null,
- "direction": null,
- "bucket": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "forwardingrules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "forwarding-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "algorithm": null,
- "protocol": null,
- "listenerIp": null,
- "listenerPort": null,
- "healthCheck": null,
- "targets": [ ]
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "natgateways": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My NAT Gateway",
- "publicIps": [
- "81.173.1.2",
- "82.231.2.5",
- "92.221.2.4"
], - "lans": [
- {
- "id": 3,
- "gatewayIps": [
- "10.12.1.2/24",
- "10.11.2.5/24",
- "10.11.2.4"
]
}
]
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "natgateway-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "protocol": null,
- "sourceSubnet": null,
- "publicIp": null,
- "targetSubnet": null,
- "targetPortRange": null
}
}
]
}, - "flowlogs": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "flow-log",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "action": null,
- "direction": null,
- "bucket": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My security group",
- "description": "My security group description"
}, - "entities": {
- "rules": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "firewall-rule",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "protocol": null,
- "sourceMac": null,
- "ipVersion": null,
- "sourceIp": null,
- "targetIp": null,
- "icmpCode": null,
- "icmpType": null,
- "portRangeStart": null,
- "portRangeEnd": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "templateUuid": null,
- "name": null,
- "hostname": null,
- "cores": null,
- "ram": null,
- "availabilityZone": null,
- "vmState": null,
- "bootCdrom": null,
- "bootVolume": null,
- "cpuFamily": null,
- "type": null,
- "nicMultiQueue": null,
- "maxNetworkBandwidth": null
}, - "entities": {
- "cdroms": null,
- "volumes": null,
- "nics": null,
- "securitygroups": null,
- "gpus": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}Delete the specified data center and all the elements it contains. This method is destructive and should be used carefully.
| datacenterId required | string The unique ID of the data center. |
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
{- "httpStatus": 400,
- "messages": [
- {
- "errorCode": "123",
- "message": "Error message example."
}
]
}Updates the properties of the specified data center, rename it, or change the description.
| datacenterId required | string The unique ID of the data center. |
| pretty | boolean Default: true Controls whether the response is pretty-printed (with indentations and new lines). |
| depth | integer <int32> [ 0 .. 10 ] Default: 0 Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on |
| X-Contract-Number | integer <int32> Users with multiple contracts must provide the contract number, for which all API requests are to be executed. |
The properties of the data center to be updated.
| name | string The name of the resource. |
| description | string A description for the datacenter, such as staging, production. |
| location required | string The physical location where the datacenter will be created. This will be where all of your servers live. Property cannot be modified after datacenter creation (disallowed in update requests). |
| secAuthProtection | boolean Boolean value representing if the data center requires extra protection, such as two-step verification. |
| defaultSecurityGroupId | string <uuid> This will become the default security group for the datacenter, replacing the old one if already exists. This security group must already exists prior to this request. Provide this field only if the |
| createDefaultSecurityGroup | boolean If this field is set on true and this datacenter has no default security group then a default security group, with predefined rules, will be created for this datacenter. Default value is false. Provide this field only if the |
{- "name": "Production Datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "secAuthProtection": true,
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "createDefaultSecurityGroup": true
}{- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "datacenter",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "Production datacenter",
- "description": "My Production Datacenter",
- "location": "us/las",
- "version": 8,
- "features": [
- "SSD"
], - "secAuthProtection": true,
- "cpuArchitecture": [
- {
- "cpuFamily": "INTEL_ICELAKE",
- "maxCores": 62,
- "maxRam": 245760,
- "vendor": "AuthenticAMD"
}
], - "gpuArchitecture": [
- {
- "vendor": "NVIDIA",
- "model": "A100"
}
], - "ipv6CidrBlock": "2001:db8:b06d:8f00::/56",
- "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
}, - "entities": {
- "servers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "server",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "name": "My resource",
- "hostname": "myHostname",
- "cores": 4,
- "ram": 4096,
- "availabilityZone": "AUTO",
- "vmState": "RUNNING",
- "bootCdrom": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "bootVolume": {
- "id": "string",
- "type": "resource",
- "href": "<RESOURCE-URI>"
}, - "cpuFamily": "INTEL_ICELAKE",
- "type": "CUBE",
- "nicMultiQueue": true,
- "maxNetworkBandwidth": 6
}, - "entities": {
- "cdroms": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "image",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null,
- "location": null,
- "size": null,
- "cpuHotPlug": null,
- "cpuHotUnplug": null,
- "ramHotPlug": null,
- "ramHotUnplug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "discScsiHotPlug": null,
- "discScsiHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "licenceType": null,
- "applicationType": null,
- "imageType": null,
- "public": null,
- "imageAliases": [ ],
- "cloudInit": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "type": null,
- "size": null,
- "availabilityZone": null,
- "image": null,
- "imagePassword": null,
- "sshKeys": [ ],
- "bus": null,
- "licenceType": null,
- "applicationType": null,
- "cpuHotPlug": null,
- "ramHotPlug": null,
- "nicHotPlug": null,
- "nicHotUnplug": null,
- "discVirtioHotPlug": null,
- "discVirtioHotUnplug": null,
- "exposeSerial": null,
- "requireLegacyBios": null,
- "deviceNumber": null,
- "pciSlot": null,
- "backupunitId": null,
- "userData": null,
- "bootServer": null,
- "bootOrder": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "securitygroups": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "security-group",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "description": null
}, - "entities": {
- "rules": null,
- "nics": null,
- "servers": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "gpus": {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
- "type": "gpu",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "vendor": null,
- "model": null,
- "type": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "volumes": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "volume",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "type": "HDD",
- "size": 100,
- "availabilityZone": "AUTO",
- "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
- "imagePassword": "mypass123",
- "sshKeys": [
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
- "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
], - "bus": "VIRTIO",
- "licenceType": "LINUX",
- "applicationType": "MSSQL-2019-Standard",
- "cpuHotPlug": true,
- "ramHotPlug": true,
- "nicHotPlug": true,
- "nicHotUnplug": true,
- "discVirtioHotPlug": true,
- "discVirtioHotUnplug": true,
- "exposeSerial": true,
- "requireLegacyBios": true,
- "deviceNumber": 3,
- "pciSlot": 7,
- "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "userData": "string",
- "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
- "bootOrder": "AUTO"
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "loadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "loadbalancer",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ip": "22.231.113.64",
- "dhcp": true
}, - "entities": {
- "balancednics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "lans": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "5",
- "type": "lan",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
- "createdDate": "2015-12-04T14:34:09.809Z",
- "createdBy": "user@example.com",
- "createdByUserId": "user@example.com",
- "lastModifiedDate": "2015-12-04T14:34:09.809Z",
- "lastModifiedBy": "user@example.com",
- "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
- "state": "AVAILABLE"
}, - "properties": {
- "name": "My resource",
- "ipFailover": [
- {
- "ip": "192.18.2.231",
- "nicUuid": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec"
}
], - "ipv4CidrBlock": "10.8.130.0/23",
- "ipv6CidrBlock": "2001:db8:b06d:8f5a::/64",
- "pcc": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec",
- "public": true
}, - "entities": {
- "nics": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "nic",
- "href": "<RESOURCE-URI>",
- "metadata": {
- "etag": null,
- "createdDate": null,
- "createdBy": null,
- "createdByUserId": null,
- "lastModifiedDate": null,
- "lastModifiedBy": null,
- "lastModifiedByUserId": null,
- "state": null
}, - "properties": {
- "name": null,
- "mac": null,
- "ips": [ ],
- "dhcp": null,
- "ipv6Ips": [ ],
- "ipv6CidrBlock": null,
- "dhcpv6": null,
- "lan": null,
- "firewallActive": null,
- "firewallType": null,
- "deviceNumber": null,
- "pciSlot": null
}, - "entities": {
- "flowlogs": null,
- "firewallrules": null,
- "securitygroups": null
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}
}
}
], - "offset": 0,
- "limit": 1000,
- "_links": {
- "prev": "<PREVIOUS-PAGE-URI>",
- "self": "<THIS-PAGE-URI>",
- "next": "<NEXT-PAGE-URI>"
}
}, - "networkloadbalancers": {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "collection",
- "href": "<RESOURCE-URI>",
- "items": [
- {
- "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
- "type": "networkloadbalancer",
[...]
